Get Installed Patches
get
/rest/apis/common/system/InstalledPatches/
This operation retrieves the list of patches installed in the environment for the current version of all the products in the stack. The list includes the products installed (owner flag), their versions and lists each installed fix. Each fix entry includes the bug number, the patch number, the owner flag of the product that owns the issue, the product version and the date / time the fix was installed. You can provide an owner flag to limit the results to patches related to that owner's product.
Request
Query Parameters
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/xml
- application/json
200 Response
Success response
Root Schema : F1-GetInstalledPatches
Type:
Show Source
object-
installedFixes: array
installedFixes
This list includes an entry for each installed fix that is found.
-
installedProducts: array
installedProducts
This list displays each product (owner flag) installed in this environment and the version of the product.
Nested Schema : installedFixes
Type:
arrayThis list includes an entry for each installed fix that is found.
Show Source
Nested Schema : installedProducts
Type:
arrayThis list displays each product (owner flag) installed in this environment and the version of the product.
Show Source
Nested Schema : items
Type:
Show Source
object-
bugNumber: string
Maximum Length:
10Bug Number -
installationDateTime: string
(date-time)
This is the date and time that the patch was installed in this environment.
-
nlsKit: string
Maximum Length:
8This field includes the patch number (single fix number) associated with this fix.Example:SF.034 -
ownerFlag: string
Allowed Values:
[ "C1 ", "CM ", "F1 ", "UM " ]Owner: * `C1 ` - Customer Care and Billing, * `CM ` - Customer Modification, * `F1 ` - Framework, * `UM ` - Utility Markets -
productVersion: string
Maximum Length:
40Release Version
Nested Schema : items
Type:
Show Source
object-
ownerFlag: string
Allowed Values:
[ "C1 ", "CM ", "F1 ", "UM " ]Owner: * `C1 ` - Customer Care and Billing, * `CM ` - Customer Modification, * `F1 ` - Framework, * `UM ` - Utility Markets -
productVersion: string
Maximum Length:
40Release Version
400 Response
Bad Request
Root Schema : problemDetailDocument
Type:
Show Source
object-
detail: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
httpStatus: number
Minimum Value:
0Maximum Value:9999The HTTP Status code for the error. -
problemInstance: string
Maximum Length:
60Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction. -
problemType: string
Maximum Length:
60URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework. -
serverMessage: object
serverMessage
-
stackTrace: string
Maximum Length:
60The stack trace shows where the error occurs during the execution of a program. -
title: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type:
Show Source
object-
callSequence: string
Maximum Length:
60Delimited sequence of programs called. -
longDescription: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
messageCategory: number
Minimum Value:
0Maximum Value:0Message Category within Oracle Utilities Application Framework. -
messageNbr: number
Minimum Value:
-99999Maximum Value:99999Message Number within Oracle Utilities Application Framework. -
messageText: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format. -
programName: string
Maximum Length:
60Name of the program that encountered the error.
500 Response
Internal Server Error
Root Schema : problemDetailDocument
Type:
Show Source
object-
detail: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
httpStatus: number
Minimum Value:
0Maximum Value:9999The HTTP Status code for the error. -
problemInstance: string
Maximum Length:
60Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction. -
problemType: string
Maximum Length:
60URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework. -
serverMessage: object
serverMessage
-
stackTrace: string
Maximum Length:
60The stack trace shows where the error occurs during the execution of a program. -
title: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type:
Show Source
object-
callSequence: string
Maximum Length:
60Delimited sequence of programs called. -
longDescription: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
messageCategory: number
Minimum Value:
0Maximum Value:0Message Category within Oracle Utilities Application Framework. -
messageNbr: number
Minimum Value:
-99999Maximum Value:99999Message Number within Oracle Utilities Application Framework. -
messageText: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format. -
programName: string
Maximum Length:
60Name of the program that encountered the error.